Subject: Re: [dnsext] draft-ah-dnsext-rfc1995bis-ixfr-03 -- questions on s3.2.3

From: Matthijs Mekking <[email-masked]>
Date: Thu, 05 Apr 2012 09:41:24 +0200

Hi,

On 03/09/2012 08:00 PM, Alfred � wrote:
> Folks -- in particular implementers,
> 
> A point has been raised, and for qualified action, the draft authors
> need more information and opinions on this part of the draft:
> 
> |3.2.  IXFR Response
> |
> |[...]
> |
> |3.2.3.  Answer Section
> |
> |  The Answer section MUST be populated with the zone change information
> |  or, in the case of fallback to AXFR, the full zone contents.
> |
> |  For multi-message IXFR responses, the conceptional answer is split
> |  into segments that are sent in order.  Each segment is comprised of
> |> an integer number of full RRs, and for transport efficiency, the
> |> response messages should be filled up with answer RRs as much as
>                      ^^^^^^
> |> possible for the response message size chosen by the IXFR server,
> |> taking into account the space needed for the other sections in the
> |> messages.
> |
> |   [...]
> 
> Questions:
> 
> a)  Does the behavior described in the emphasized sentence  make
>     sense, given the optimisation goals underlying the IXFR design ?

I can see why filling up the response as much as possible is more
efficient with respect to transport (chance that lesser packets will be
needed). To me it makes sense.

> b)  Do existing implementations follow this direction ?

We don't have an IXFR server implementation (yet), but for what its
worth: NSD handles this approach for AXFR.

OpenDNSSEC will be able to server signed XFRs in version 1.4 and up and
it follows this direction for both IXFR and AXFR.

> c)  Shall we replace the tagged "should" by a "SHOULD",
>     to make the recommendation even stronger ?

I don't have a strong opinion about this, so I am guided by RFC2119 that
says use these terms with care and sparingly. My feeling is that
lowercase should is fine here.

Best regards,
  Matthijs

> Kind regards,
>   Alfred.

_______________________________________________
dnsext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dnsext